Bug 1310251 - Throws exception "exceptions.AttributeError: 'module' object has no attribute '_parse'"
Throws exception "exceptions.AttributeError: 'module' object has no attribute...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-Coherence (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
: 1315081 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 16:07 EST by Stuart Auchterlonie
Modified: 2016-12-20 13:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:52:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the issue (3.07 KB, patch)
2016-02-19 16:07 EST, Stuart Auchterlonie
no flags Details | Diff

  None (edit)
Description Stuart Auchterlonie 2016-02-19 16:07:20 EST
Created attachment 1128669 [details]
patch to fix the issue

Description of problem:

When attempting to use upnp-inspector to observe upnp devices on the
network, upnp-inspector fails and throws the following stacktace.

~~~
Unhandled Error
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/twisted/python/log.py", line 73, in callWithContext
    return context.call({ILogContext: newCtx}, func, *args, **kw)
  File "/usr/lib64/python2.7/site-packages/twisted/python/context.py", line 118, in callWithContext
    return self.currentContext().callWithContext(ctx, func, *args, **kw)
  File "/usr/lib64/python2.7/site-packages/twisted/python/context.py", line 81, in callWithContext
    return func(*args,**kw)
  File "/usr/lib64/python2.7/site-packages/twisted/internet/posixbase.py", line 614, in _doReadOrWrite
    why = selectable.doRead()
--- <exception caught here> ---
  File "/usr/lib64/python2.7/site-packages/twisted/internet/udp.py", line 248, in doRead
    self.protocol.datagramReceived(data, addr)
  File "/usr/lib/python2.7/site-packages/coherence/upnp/core/msearch.py", line 46, in datagramReceived
    host=host)
  File "/usr/lib/python2.7/site-packages/coherence/upnp/core/ssdp.py", line 136, in register
    louie.send('Coherence.UPnP.SSDP.new_device', None, device_type=st, infos=self.known[usn])
  File "/usr/lib/python2.7/site-packages/louie/dispatcher.py", line 348, in send
    **named
  File "/usr/lib/python2.7/site-packages/louie/robustapply.py", line 56, in robust_apply
    return receiver(*arguments, **named)
  File "/usr/lib/python2.7/site-packages/coherence/base.py", line 621, in create_device
    root = RootDevice(infos)
  File "/usr/lib/python2.7/site-packages/coherence/upnp/core/device.py", line 450, in __init__
    self.parse_description()
  File "/usr/lib/python2.7/site-packages/coherence/upnp/core/device.py", line 538, in parse_description
    utils.getPage(self.location).addCallbacks(gotPage, gotError, None, None, [self.location], None)
  File "/usr/lib/python2.7/site-packages/coherence/upnp/core/utils.py", line 588, in getPage
    scheme, host, port, path = client._parse(url)
  File "/usr/lib64/python2.7/site-packages/twisted/python/deprecate.py", line 399, in __getattribute__
    value = getattr(state._module, name)
exceptions.AttributeError: 'module' object has no attribute '_parse'

~~~

Version-Release number of selected component (if applicable):

python-Coherence-0.6.6.2-10.fc23.noarch

How reproducible:

100%

Steps to Reproduce:
1. Start upnp-inspector
2.
3.

Actual results:

Stack trace as above


Expected results:

No stacktrace, and can see devices on the network.


Additional info:

This issue has already been resolved upstream.
See the following
- http://coherence.beebits.net/ticket/360
- https://github.com/coherence-project/Coherence/commit/17e186713233a400b141b9c809322a73f62e3727
- https://bugs.mageia.org/show_bug.cgi?id=12438

Applying the above patch, fixes the issue. It didn't apply cleanly
so i'm attaching the diff after patching
Comment 1 teppot 2016-03-06 13:52:43 EST
*** Bug 1315081 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2016-11-24 10:39:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:52:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.